module.exports = {
    'env': {
        'browser': true,
        'es2021': true,
        'node': true
    },
    'extends': [
        'eslint:recommended',
        'plugin:@typescript-eslint/recommended'
    ],
    'parser': '@typescript-eslint/parser',
    'parserOptions': {
        'ecmaVersion': 'latest',
        'sourceType': 'module'
    },
    'plugins': [
        '@typescript-eslint'
    ],
    'rules': {
        '@typescript-eslint/no-explicit-any': 'off',
        'semi': ['error', 'always'],
        'quotes': ['error', 'single'],
        'comma-spacing': ['error', { before: false, after: true }],
        'eqeqeq': [2, 'allow-null']
    }
};